package com.reconciliation.recfj.mapper;

import com.reconciliation.recfj.entity.RecExcel;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * 对账mapper
 * @author 史连宁
 */
@Mapper
public interface RecMapper {

    @Select("<script>" +
            " select count(*) value, max(tbrq) latestUpdateDate from ${table} t " +
            "</script")
    List<RecExcel> getRecAll1(String table);

    @Select("<script>" +
            " select count(*) value, max(t.tbrq) latestUpdateDate from ${table} t, ${table}_D d where t.recordid=d.recordid" +
            "</script")
    List<RecExcel> getRecAll2(String table);

    @Select("<script>" +
            " " +
            "</script")
    List<RecExcel> getRecMon1(String table);

    @Select("<script>" +
            " " +
            "</script")
    List<RecExcel> getRecMon2(String table);

    @Select("<script>" +
            " " +
            "</script")
    List<RecExcel> getRecDay1(String table);

    @Select("<script>" +
            " " +
            "</script")
    List<RecExcel> getRecDay2(String table);
}
