package com.reconciliation.recfj.service;

import com.reconciliation.recfj.entity.RecExcel;
import com.reconciliation.recfj.entity.ReturnValue;
import com.reconciliation.recfj.enums.RecItem;
import com.reconciliation.recfj.enums.RecTable;
import com.reconciliation.recfj.mapper.RecMapper;
import io.micrometer.common.util.StringUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * 对账实现类
 * @author 史连宁
 */
@Service
public class RecService {

    private final Logger logger = LoggerFactory.getLogger(getClass());

    @Resource
    private RecMapper recMapper;

    public ReturnValue createRecDataToExcel(RecExcel rec) {
        ReturnValue rtv = ReturnValue.fail();
        try {
            RecTable[] recTableList = RecTable.values();
            RecItem[] recItemList = RecItem.values();
            if (rec != null && StringUtils.isNotBlank(rec.getThirdTable())) {
                recTableList = new RecTable[]{RecTable.parse(rec.getThirdTable())};
            }
            if (rec != null && StringUtils.isNotBlank(rec.getRecItem())) {
                recItemList = new RecItem[]{RecItem.parse(rec.getRecItem())};
            }
            List<RecExcel> list = new ArrayList<>();
            SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
            for (RecTable recTable : recTableList) {
                for (RecItem recItem : recItemList) {
                    Date now = new Date();

                }
            }
            rtv.setSuccess(true);
        } catch (Exception e) {
            logger.error("汇聚平台对账数据生成失败", e);
            rtv.setMsg(e.getMessage());
        }
        return rtv;
    }
}
